AutoCAD Inventor :: Constrain Line To Center Of Curve (3D Sketch)?

Sep 14, 2012

I made a bunch of lines, then used the bend command to make curves where they intersected. I'm trying to put lines connecting A to C and B to D. How do I constrain the ends of the lines to the center of the curves?

View 9 Replies


ADVERTISEMENT

AutoCAD Inventor :: Using VBA To Constrain A Sketch

Jun 26, 2012

I've managed to hack together some code to draw a rectangle and dimension it. Now I want to constrain it to the origin. I figure either using two dimensions from a top/side to the origin and setting the dimension as half of the other respective dimension would work. Or constraining the center point of a top/side line to be vertical/horizontal to the origin.

The problem I'm having is I do not know how to reference the origin. So until I figure out how to reference the origin point I can't use either method.
 
Public Sub DrawSketchLine() ' Check to make sure a sketch is open. If Not TypeOf ThisApplication.ActiveEditObject Is PlanarSketch Then MsgBox "A sketch must be active." Exit Sub End If ' Set a reference to the active sketch. Dim oSketch As PlanarSketch Set oSketch = ThisApplication.ActiveEditObject ' Set a reference to the transient geometry collection. Dim oTransGeom As TransientGeometry Set oTransGeom = ThisApplication.TransientGeometry Dim oUOM As UnitsOfMeasure Set oUOM =
[Code].......

View 2 Replies View Related

AutoCAD Inventor :: Constrain Sketch With Image

Sep 5, 2013

How to become able to fully constrain a sketch with an image in it? Always stalls at 1 dimension required. Try a sketch with only an imported image.

View 2 Replies View Related

AutoCAD Inventor :: Constrain To Origin In 3D Sketch

Dec 1, 2011

How is this accomplished in Inventor?  The 3D sketch environment seems intentionally crippled.  Many of the constrains are not available, and the "include geometery" command refuses to include the origin (or any other planes and axis for that matter).

View 4 Replies View Related

AutoCAD Inventor :: Possible To Constrain Sketch Entities

Apr 5, 2013

 Is it possible to constrain sketch entities, (like lines), to a plane, (make the line and plane coincident)?

View 2 Replies View Related

AutoCAD Inventor :: Sketch Changes Constrain Status After Rebuild

Oct 22, 2012

I have a sketch that Inventor changes its status between under constrained, over constrained, and fully constrained depending on dimensions (makes sense), and wether I rebuild the model (WTF?).

Steps to reproduce:

1) Open the attached .ipt file.

2) Examine Sketch11 (under Face3) It should be fully constrained.

3) Exit the sketch. Open the parameters dialog and change the value of "angle" from 45 to 60. (If you get an error message change it to 50 first, then 60. It's a work in progress.)

4) Re-examine Sketch11. It is now under constrained.

5) Exit the skecth and go to the manage tab. Click "Rebuild All".

6) Re-examine Sketch11. It is now fully constrained.

7) Scratch your head and post back with your theory.

View 7 Replies View Related

AutoCAD Inventor :: How To Constrain A Part To The Center Of Gravity

Mar 22, 2013

For some reason it will not let me constrain a part to the center of gravity plains. I would like to constrain lifting lugs to the center of gravity so the model will automatically update itself.  Is there anyway to make this work (using ilogic or anything)?

Why would Inventor tease me with showing me the center of gravity plains in an assembly but making them completely useless?

View 3 Replies View Related

AutoCAD Inventor :: Possible To Constrain Text Height In Part Sketch?

Jan 10, 2012

When I add a text to a sketch, I can constrain the rectangle to set its size, orientation and position.And I can set the text width to fit into the rectangle. But I wasn't able to set the text height to fit into the rectangle.

Am I missing something or is the fit text option doing only half the job?

View 1 Replies View Related

AutoCAD Inventor :: Inserted 2D Sketch - How To Constrain To Match Existing 3D Model

Aug 8, 2013

Do you know how to constrain 2d cad sketch to match existing 3D model. see screenshot. Is it doable?

View 6 Replies View Related

AutoCAD Inventor :: Number Of Constraints Needed To Fully Constrain A Sketch

Aug 28, 2013

When you're working on a sketch in the part environment the status bar shows the number of constraints needed to fully constrain the sketch.  For example "2 Dimensions Needed".

How do you retrieve this value using Visual Basic Net?

View 5 Replies View Related

AutoCAD Inventor :: Constrain Point To Curved Line?

Nov 23, 2012

I have an assembly with a curved line made in a sketch, and a part with a point in the bottom.

I want to constrain the point to the curved line, but the regular Constrain options wont let me do so.

I am making an animation with Inventor Studio, so I need this constrain, so I later on in studio can manipulate it and insert the first part into the other.

View 2 Replies View Related

AutoCAD Inventor :: 3D Sketch Equation Curve

Mar 17, 2013

I'm just starting out with learning equation curves in Inventor.How can I get this curve

r(t)= ti + 4cos tj +9sin tk; where t is greater than or equal to 0

how to get this VBA as an equation curve

View 2 Replies View Related

AutoCAD Inventor :: Cannot Select Origin To Constrain Sketch With Dimension To Origin?

Oct 4, 2012

I cannot select origin to constrain sketch with dimension to origin?

I selected Sketch,
expanded origin,
selected mywork plan (xy)
drew rectangle,
input dims,
right click for marking menu,
selected dimensions,
Origin is yellow,

cannot select it and then edge of rect to set dim that will center sketch on origin? Just like the videos show, but cannot select origin>

View 6 Replies View Related

AutoCAD Inventor :: ILogic Sketch Curve Counter

Apr 17, 2013

Much of our work is structures fabricated from steel plate.  One of our practices is to add a note " (SK) " to the description of plates that have a detailed sketch somewhere in the fab drawing set (simple rectangular or circular plates with no additional features do not get these detailed sketches).  The actual "detailed sketch" is just a dimensioned drawing view of that plate.

I've been working on automating this process so that Inventor can actually determine for the user whether or not the sketch is required.  I have it in certain part templates by default.  Other templates add the note automatically through iLogic when certain plate features are selected, or when the model consists of multiple part features.

This leaves one remaining case that the current set of rules can't catch - when the user creates cutouts, notches, etc. by modifying the sketch for the original extrusion.  I have determined a method for catching that case, but haven't yet figured out how to program it.

What I want to do is count all of the lines, arcs, and circles in the first model sketch.  If that count returns a number other than 4 lines, the note will be added.  If any arcs are detected, the note will be added.  If any circles are detected with lines also present, the note will be added.  There may be other cases that will come up in testing that need to be covered, but I ran into an issue before I got that far.  Construction geometry messes up the count - I need a way to exclude it.

Below is the test code I have so far for the counter.  what techniques I can use to get construction geometry out of the count.  This code doesn't include the provisions for actually adding the note yet - I'm just trying to get the counter working right first.  Instead it's just displaying the total count in a message box for test purposes.

oDoc=ThisDoc.Document
oSketch=oDoc.ComponentDefinition.Sketches.Item(1)
LineCount=oSketch.Sketchlines.count
CircleCount=oSketch.SketchCircles.count
ArcCount=oSketch.SketchArcs.count
TotalCount=LineCount+CircleCount+ArcCount
MessageBox.Show("Total Count "&TotalCount, "Title")

View 3 Replies View Related

AutoCAD Inventor :: 3D Sketch Equation Curve - Creating Coil?

Jul 26, 2013

I am trying to create a coil which from above, retains equal and thus parallel pitches whilst at the same time adheres to a semi-circular form in the cross section. You can see from the images attached that the first two revolutions are larger than the semi-circle outline.
 
These are the values I have used:
 
Cylindrical

r (t):     134.56924424045517662353735770102mm * t * 0.5
q(t):     1 deg * 360 ul * 3.0 ul * t
z(t):      10 mm * 6 ul * 0.5 ul *  t  * (1.5 * t) * t

tmin: 0 ul
tmax: 0.916 ul

View 9 Replies View Related

AutoCAD Inventor :: ILogic To Change Helical Curve In 3D Sketch

Jan 13, 2014

I'm building a product configuration which includes some helical curves. I want to find out how I can change the direction of a Helical curve feature in a 3D sketch.

Variables like pitch and diameter are parameters, but the direction isn't.

View 6 Replies View Related

AutoCAD Inventor :: Rectangular Pattern With 2 Curve Lengths - 1 Sketch

Sep 19, 2013

I would like to use a sketch as the basis for a rectangular pattern which is set up to use the curve length for both directions of the rectangular pattern so that when I update my rectangle in a sketch, the pattern automatically adjusts to the new sketch. I have sketched a rectangle, and used one leg of the rectangle to establish the direction and length of one dimension of the array.            

However, when I try and choose the Direction 2, my only options are the entire rectangle or faces- I can no longer select other and choose a single side of the rectangle.

I was able to accomplish what I wanted by using two sketches, with the second sketch simply projecting one leg from the first sketch.  Using one sketch just seems inherently safer than trusting projected geometry.Is there a way to accomplish this with one sketch instead?

Inventor 2013 (SP2 Update 2), Windows 7 Professional (64-bit), SP1, Intel Xeon 3.07GHz CPU, 12GB RAM, NVIDIA Quadro 2000, Vault Basic 2013

View 2 Replies View Related

AutoCAD Inventor :: How To Get The Center Point For Sketch

Nov 11, 2013

I just want to know that how can I get the center point from a Sketch Object ?

View 1 Replies View Related

AutoCAD Inventor :: Create 3D Sketch Of Helical Curve That Has Accelerated Pitch?

Nov 1, 2013

I am trying to create a 3D sketch of a helical curve that has an accelerated pitch.

View 2 Replies View Related

AutoCAD Inventor :: Sketch Origin Center Point

May 6, 2013

The screen shot below shows three coincident constraints and a projection icon on the origin.

 looks like a projection icon - what does it mean?

I want to delete the three coincident constraints. But when I delete the coincident constraints there is no Sketch origin center point (the sketch origin center point is a square-yellow dot at the x-y intersection). How to delete or move the three coincident constraints with out deleting the sketch origin center point?

View 2 Replies View Related

AutoCAD Inventor :: Creating Sketch - How To Center It About Origin

Aug 26, 2013

After I create a sketch, how do I center it about the origin? The origin is projected, I just can't figure out how to set the sketch about it.

View 4 Replies View Related

AutoCAD Inventor :: Sketch Line To Be Locked

Mar 8, 2012

Is there a way to locked a specific sketch in the ipt?

inventor 2011
vault 2012

View 4 Replies View Related

AutoCAD Inventor :: Dim To Sketch Line In Idw View

Dec 9, 2013

I've placed a scketch in a view in my idw.

In the idw, I was once able to dimension between a visible view line and a visible scketch line, but not now.

Currently using Prof 2013 64 bit

View 5 Replies View Related

AutoCAD Inventor :: 2013 Line Extending Sketch

May 30, 2013

I am trying to extend a line in my sketch, but everytime I select it an error message comes up saying "the curve being extended"   What curve is inventor refering to?

would not allow me to add a .doc file for veiwing

View 8 Replies View Related

AutoCAD Inventor :: Picking Sketch Line From Drawing?

Dec 19, 2011

 VB.NET with VS2010, Inventor 2012

I have a drawing view of a part with a sketch that contains some lines. I need to pick one of the sketch lines.

I can pick a line with sketch active using the kSketchCurveLinearFilter

I have not been able to pick it from outside of sketch. Have tried using kDrawingCurveSegmentFilter to get a DrawingCurveSegment but I can not get the sketch line from the DrawingCurveSegment

I assume there is a way to get the sketch line from DrawingCurveSegment or DrawingCurveObject but have not figured it out.

View 3 Replies View Related

AutoCAD Inventor :: Bend Line Projection On A Sketch

Feb 4, 2013

Just by selecting a bend line on the flat pattern, I'd like to draw only 2 lines on a sketch (without any border projection, only points) at both ends of the bend line.

I'm sure it can be done via VBA, but don't know how to start for it.

View 1 Replies View Related

AutoCAD Inventor :: Unable To Snap To Sketch Line Midpoint

Nov 26, 2012

When I use a tool such as 'move'/'select base point' in the sketch environment, I used to be able to select line midpoints.

Is this no longer possible? My constraint options seem to be fine.

Recently upgraded to 2013

View 6 Replies View Related

AutoCAD Inventor :: Creative Center Line Offset?

Mar 7, 2013

I need a creative way to do something I know can be done in SW and Pro-E but as far as I know can not be done in Inventor to date  

I am using the origin center line and semitry to control a box and its associated geometry and want to control the position or offset of a second box relitive to the first using a center line associated to the second box with a dimension. Problem is that the dim will only control its off set position relitive to the initial side from which the dim was placed. I.E. if the dim is placed when the CL of the second box is to the right it can not be moved to the left (what would in essence be a -dim condition) understandably Inventor does not like that but SW and Pro-E can use there little wheel and roll it down to 0 and then back up to a + dim in the opposit or in this case Left direction.

I know that I could place a dim off the interior wall of my first box geometry and associate it to the CL of the second box but the math to that may or may not be appropreatly effective in other words in condition A it may need to be 1/3 of d1 and in condition B it may need to be 2/3's of d1 or some other dimension.

I would love to be able to do this via iLogic or perhaps something to do with the placement relitive to a construction geometry utilizing a circle but so far I have not found a viable solution.

View 1 Replies View Related

AutoCAD Inventor :: Remove Yellow Sketch Line When Inserting An Image

Feb 12, 2012

I have a basic problem but I can't seem to be able to get around it. I added an image to a sketch successfully but it cam with a yellow line around it (see attached) and I can't remove it. In the sketch properties I was able to change it's color to black to make less visible but it's still there.

Any clue as to how I can make it disappear ?

View 3 Replies View Related

AutoCAD Inventor :: Drawing Sketch While Making DWG - How To Change Line Colors

Feb 14, 2012

When I draw a sketch while making a dwg drawing, the lines are light green that is nearly invisible on the background color. How can I change the line color?

I'm using Inventor professional 2012 student edition.

View 6 Replies View Related

AutoCAD Inventor :: Center Line On An Open Ended Slot

Oct 7, 2013

how to put a center line on an open ended slot.  Say in the front view you can see the radius of the slot with horizontal tangents running to the end of the object; this isn't the problem.  When creating the top view, you only see one hidden line indicating the arch, but the other side is just open to the end.  You have no means of finding bisectors.

I've added a jpg file, looking for the center line in the top view. 

View 8 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved